import { BrowserContext, ElectronApplication, Page, _electron as electron } from 'playwright';
import { test, expect } from '@playwright/test';
import * as PATH from 'path';
import {GameModel} from "../../src/app/project/game-model/GameModel";
import {Gamesystem} from "../../src/app/project/game-model/gamesystems/Gamesystem";

test.describe('Adding Gamesystems', () => {

  test("Test simple adding of Gamesystems", async () => {
    const gameModel = new GameModel("GameModel");
    const gamesystem = new Gamesystem("Gamesystem");
    gameModel.addGamesystem(gamesystem);
    expect(gameModel.gamesystems.includes(gamesystem)).toBeTruthy();
  })

  test("Test duplicates when adding Gamesystems", async () => {
    const gameModel = new GameModel("GameModel");
    const gamesystem = new Gamesystem("Gamesystem");
    gameModel.addGamesystem(gamesystem);
    gameModel.addGamesystem(gamesystem)
    expect(gameModel.gamesystems.length).toEqual(1);
  })
});
