import {ModelComponent} from "../ModelComponent";
import {ModelComponentType} from "../ModelComponentType";
import {TemplateElement} from "../templates/TemplateElement";
import {TemplateGamesystem} from "../templates/TemplateGamesystem";
import {Gamesystem} from "../gamesystems/Gamesystem";
import {SimpleTemplateGamesystem} from "../templates/simpleGamesystem/SimpleTemplateGamesystem";

export class Character extends ModelComponent implements TemplateElement {

  characterSpecificTemplateSystems: Gamesystem<any, any>[] = []

  constructor(componentName: string, componentDescription: string) {
    super(componentName, componentDescription, ModelComponentType.CHARACTER);
  }

  addCharacterSpecificSimpleTemplatesystem(gamesystem: SimpleTemplateGamesystem) {
    if(!this.isTemplateSystemCharacterSpecific(gamesystem.componentName)) {
      this.characterSpecificTemplateSystems.push(gamesystem)
      gamesystem.addTemplateElement(this)
    }
  }

  private isTemplateSystemCharacterSpecific(gamesystemName: string) {
    return this.characterSpecificTemplateSystems.find(gamesystem => gamesystem.componentName === gamesystemName) != undefined
  }

}
